{ lib, ... }: {
  programs.kitty = {
    enable = true;
    shellIntegration.mode = "enabled";
    theme = "Tokyo Night Storm";
    environment = {
      DIRENV_LOG_FORMAT = "";
    };
    settings = {
      wayland_titlebar_color = "system";
      background_opacity = "0.82";
      font_size = lib.mkDefault 12;
      hide_window_decorations = "no";
      confirm_os_window_close = 0;
      remember_window_size = "no";
      initial_window_width = "82c";
      initial_window_height = "24c";
    };
  };

  home.file.".w3m/config".text = ''
    inline_img_protocol 4
    imgdisplay kitten icat 2>/dev/null
  '';
}
